Turning off layers...

Discussion in 'AutoCAD' started by Devin, Aug 12, 2003.

  1. Devin

    Devin Guest

    I'm trying to isolate layers but can't figure out the boolean true: false:
    thing, here's my code...

    (defun C:ISOLAY ( / layer clayer )
    (setq clayer (vla-getvariable curdoc "CLAYER"))
    (vlax-for layer layers
    (if
    (/= clayer (vla-get-name layer))
    (vla-put-layeron layer FALSE:)
    )
    )
    )

    "layers" is the layers collection already assigned earlier.

    Thanks for any help,

    Devin
     
    Devin, Aug 12, 2003
    #1
  2. Devin

    Jeff Mishler Guest

    :vlax-true :vlax-false
     
    Jeff Mishler, Aug 12, 2003
    #2
  3. Devin

    Devin Guest

    Thanks Jeff.
     
    Devin, Aug 12, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.